cpw.mods.fml.common

## Class FMLContainer

- java.lang.Object
- - cpw.mods.fml.common.DummyModContainer
  - - cpw.mods.fml.common.FMLContainer

- All Implemented Interfaces:
    ModContainer, WorldAccessContainer

      public class FMLContainer
      extends DummyModContainer
      implements WorldAccessContainer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.common.ModContainer

      `ModContainer.Disableable`

  - ### Field Summary

    - ### Fields inherited from interface cpw.mods.fml.common.ModContainer

      `EMPTY_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkModLists(java.util.Map<java.lang.String,java.lang.String> modList, Side side)`
    `java.lang.Class<?>` | `getCustomResourcePackClass()`
    `NBTTagCompound` | `getDataForWriting(SaveHandler handler, WorldInfo info)`
    `java.lang.String` | `getGuiClassName()`
    `java.lang.Object` | `getMod()` Get the actual mod object
    `java.security.cert.Certificate` | `getSigningCertificate()`
    `java.io.File` | `getSource()` The location on the file system which this mod came from
    `void` | `modConstruction(FMLConstructionEvent evt)`
    `void` | `readData(SaveHandler handler, WorldInfo info, java.util.Map<java.lang.String,NBTBase> propertyMap, NBTTagCompound tag)`
    `boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing

    - ### Methods inherited from class cpw.mods.fml.common.DummyModContainer

      `acceptableMinecraftVersionRange, bindMetadata, canBeDisabled, getCustomModProperties, getDependants, getDependencies, getDisplayVersion, getMetadata, getModId, getName, getOwnedPackages, getProcessedVersion, getRequirements, getSharedModDescriptor, getSortingRules, getVersion, isImmutable, matches, setEnabledState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLContainer

          public FMLContainer()

  - ### Method Detail

    - #### registerBus

          public boolean registerBus(com.google.common.eventbus.EventBus bus,
                            LoadController controller)

      Description copied from interface: `ModContainer`
      Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
      Specified by:
        `registerBus` in interface `ModContainer`
      Overrides:
        `registerBus` in class `DummyModContainer`

    - #### modConstruction

          public void modConstruction(FMLConstructionEvent evt)

    - #### checkModLists

          public boolean checkModLists(java.util.Map<java.lang.String,java.lang.String> modList,
                              Side side)

    - #### getDataForWriting

          public NBTTagCompound getDataForWriting(SaveHandler handler,
                                         WorldInfo info)

      Specified by:
        `getDataForWriting` in interface `WorldAccessContainer`

    - #### readData

          public void readData(SaveHandler handler,
                      WorldInfo info,
                      java.util.Map<java.lang.String,NBTBase> propertyMap,
                      NBTTagCompound tag)

      Specified by:
        `readData` in interface `WorldAccessContainer`

    - #### getSigningCertificate

          public java.security.cert.Certificate getSigningCertificate()

      Specified by:
        `getSigningCertificate` in interface `ModContainer`
      Overrides:
        `getSigningCertificate` in class `DummyModContainer`

    - #### getSource

          public java.io.File getSource()

      Description copied from interface: `ModContainer`
      The location on the file system which this mod came from
      Specified by:
        `getSource` in interface `ModContainer`
      Overrides:
        `getSource` in class `DummyModContainer`

    - #### getCustomResourcePackClass

          public java.lang.Class<?> getCustomResourcePackClass()

      Specified by:
        `getCustomResourcePackClass` in interface `ModContainer`
      Overrides:
        `getCustomResourcePackClass` in class `DummyModContainer`

    - #### getGuiClassName

          public java.lang.String getGuiClassName()

      Specified by:
        `getGuiClassName` in interface `ModContainer`
      Overrides:
        `getGuiClassName` in class `DummyModContainer`

    - #### getMod

          public java.lang.Object getMod()

      Description copied from interface: `ModContainer`
      Get the actual mod object
      Specified by:
        `getMod` in interface `ModContainer`
      Overrides:
        `getMod` in class `DummyModContainer`